export function getHTMLtag(i, text) {
    const stringToTest = text.slice(i);
    const regex = /^(<\s*a[^>]*>|<\s*\/\s*a>)/g;
    const match = regex.exec(stringToTest)
    return match && match.length ? match[1] : '';
}

export function debounce(func, wait, immediate) {
    let timeout;

    return function () {
        const context = this, args = arguments;
        const later = () => {
            timeout = null;
            if (!immediate) func.apply(context, args);
        };
        const callNow = immediate && !timeout;

        clearTimeout(timeout);
        timeout = setTimeout(later, wait);
        if (callNow) func.apply(context, args);
    };
}